#include <iostream>
#include <fstream>
#include <cstdlib>
using namespace std;

int main()
{
    ifstream infile("lock.in");
    ofstream outfile("lock.out");
    while(true)
    {
        int n, t1, t2, t3;
        infile >> n >> t1 >> t2 >> t3;
        
        if (n == 0 && t1 == 0 && t2 == 0 && t3 == 0)
           return 0;        

        int answer = 0;
        answer += 2 * n; //2 full revolutions for the first spin
        answer += (n-1); //n-1 more ticks to get to t1, if we start at t1 - 1
        answer += n; //1 full revolution
        
        //Go from t1 to t2, moving forwards in numbers
        if (t1 < t2)
           answer += t2 - t1;
        else
           answer += (t2 + n) - t1;
           
        //Go from t2 to t3, moving backwards in numbers
        if (t2 > t3)
           answer += t2 - t3;
        else
           answer += (t2 + n) - t3;
           
        outfile << answer << endl;
    }
    return 0;
}
